### Here, file1 is used as an example, and other samples are analyzed in a similar way

bowtie2 -p 80 -X 1000 -q -x ../genome/Spider_genome.bybowtie2 -1 ../SRA/file1_1P.fq.gz -2 ../SRA/file1_2P.fq.gz | samtools view -F 4 -bS > ../bam/file1.bam
picard MarkDuplicates VERBOSITY=ERROR QUIET=true CREATE_INDEX=false  REMOVE_DUPLICATES=true INPUT=file1.sort.bam OUTPUT=file1.sort.rmdup.bam M=file1.marked_dup.log
samtools view -@ 80 -h file1.sort.rmdup.bam | grep "Mt" -v | grep "Pt" -v | samtools view -@ 80 -bS -o file1.final.bam
macs2 callpeak -t ../bamtobed/file1.bed -n file1 --shift -75 --extsize 200 --nomodel -B --SPMR -g 2629098020 --keep-dup all
